Package org.apache.solr.common.util

# Interface ValidatingJsonMap.PredicateWithErrMsg<T>

Enclosing class:
  `ValidatingJsonMap`

public static interface ValidatingJsonMap.PredicateWithErrMsg<T>

## Method Summary

Modifier and Type
Method
Description
`String`
`test(T t)`
Test the object and return null if the predicate is true or return a string with a message;

## Method Details

### test

String test(T t)
Test the object and return null if the predicate is true or return a string with a message;

Parameters:
  `t` - test value
Returns:
  null if test succeeds or an error description if test fails